> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Activity

> Get activity log for a task.



## OpenAPI

````yaml get /task/{task_id}/activity
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /task/{task_id}/activity:
    get:
      tags:
        - Tasks
      summary: Get Task Activity
      description: Get activity log for a task.
      operationId: get_task_activity_task__task_id__activity_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TaskLogDetail'
                title: Response Get Task Activity Task  Task Id  Activity Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaskLogDetail:
      properties:
        id:
          type: string
          title: Id
        taskId:
          type: string
          title: Taskid
        actionType:
          $ref: '#/components/schemas/TaskLogAction'
        actorId:
          type: string
          title: Actorid
        actor:
          anyOf:
            - $ref: '#/components/schemas/ProviderTiny'
            - type: 'null'
        data:
          anyOf:
            - $ref: '#/components/schemas/decoda__schemas__task__StatusChangeData'
            - $ref: '#/components/schemas/PriorityChangeData'
            - $ref: '#/components/schemas/AssignmentChangeData'
            - $ref: '#/components/schemas/DueDateChangeData'
            - $ref: '#/components/schemas/TitleChangeData'
            - $ref: '#/components/schemas/DescriptionChangeData'
            - $ref: '#/components/schemas/decoda__schemas__task__PatientChangeData'
            - $ref: '#/components/schemas/StartDateChangeData'
            - $ref: '#/components/schemas/SubscribersChangeData'
            - $ref: '#/components/schemas/TeamAssignmentData'
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - taskId
        - actionType
        - actorId
        - createdDate
      title: TaskLogDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskLogAction:
      type: string
      enum:
        - CREATED
        - STATUS_CHANGED
        - PRIORITY_CHANGED
        - ASSIGNED
        - DUE_DATE_CHANGED
        - TITLE_CHANGED
        - DESCRIPTION_CHANGED
        - PATIENT_CHANGED
        - START_DATE_CHANGED
        - SUBSCRIBERS_CHANGED
        - COMPLETED
        - COMMENT_ADDED
        - TEAM_ASSIGNED
      title: TaskLogAction
    ProviderTiny:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - firstName
      title: ProviderTiny
    decoda__schemas__task__StatusChangeData:
      properties:
        oldStatus:
          anyOf:
            - $ref: '#/components/schemas/TaskStatus'
            - type: 'null'
        newStatus:
          $ref: '#/components/schemas/TaskStatus'
      type: object
      required:
        - newStatus
      title: StatusChangeData
    PriorityChangeData:
      properties:
        oldPriority:
          anyOf:
            - $ref: '#/components/schemas/TaskPriority'
            - type: 'null'
        newPriority:
          $ref: '#/components/schemas/TaskPriority'
      type: object
      required:
        - newPriority
      title: PriorityChangeData
    AssignmentChangeData:
      properties:
        oldAssigneeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldassigneeid
        oldAssigneeName:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldassigneename
        newAssigneeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Newassigneeid
        newAssigneeName:
          anyOf:
            - type: string
            - type: 'null'
          title: Newassigneename
      type: object
      title: AssignmentChangeData
    DueDateChangeData:
      properties:
        oldDueDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Oldduedate
        newDueDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Newduedate
      type: object
      title: DueDateChangeData
    TitleChangeData:
      properties:
        oldTitle:
          type: string
          title: Oldtitle
        newTitle:
          type: string
          title: Newtitle
      type: object
      required:
        - oldTitle
        - newTitle
      title: TitleChangeData
    DescriptionChangeData:
      properties:
        oldDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Olddescription
        newDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Newdescription
      type: object
      title: DescriptionChangeData
    decoda__schemas__task__PatientChangeData:
      properties:
        oldPatientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldpatientid
        oldPatientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldpatientname
        newPatientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Newpatientid
        newPatientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Newpatientname
      type: object
      title: PatientChangeData
    StartDateChangeData:
      properties:
        oldStartDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Oldstartdate
        newStartDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Newstartdate
      type: object
      title: StartDateChangeData
    SubscribersChangeData:
      properties:
        addedNames:
          items:
            type: string
          type: array
          title: Addednames
          default: []
        removedNames:
          items:
            type: string
          type: array
          title: Removednames
          default: []
      type: object
      title: SubscribersChangeData
    TeamAssignmentData:
      properties:
        teamId:
          type: string
          title: Teamid
        teamName:
          type: string
          title: Teamname
        resolvedAssigneeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolvedassigneeid
        resolvedAssigneeName:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolvedassigneename
        resolutionMethod:
          type: string
          title: Resolutionmethod
      type: object
      required:
        - teamId
        - teamName
        - resolutionMethod
      title: TeamAssignmentData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TaskStatus:
      type: string
      enum:
        - OPEN
        - IN_PROGRESS
        - COMPLETED
        - CANCELLED
      title: TaskStatus
    TaskPriority:
      type: string
      enum:
        - URGENT
        - HIGH
        - NORMAL
        - LOW
      title: TaskPriority

````